Classes | Functions

# arrstr.h File Reference

## Classes
class | wxArrayString
| wxArrayString is an efficient container for storing wxString objects. More...
class | wxSortedArrayString
| wxSortedArrayString is an efficient container for storing wxString objects which always keeps the string in alphabetical order. More...
## Functions
wxArrayString | wxSplit (const wxString &str, const wxChar sep, const wxChar escape= '\\')
| Splits the given wxString object using the separator sep and returns the result as a wxArrayString.
wxString | wxJoin (const wxArrayString &arr, const wxChar sep, const wxChar escape= '\\')
| Concatenate all lines of the given wxArrayString object using the separator sep and returns the result as a wxString.

|  | [ top ]